Subject: Re: linux-next: manual merge of the driver-core tree with the block tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 8 May 2019 12:25:55 +1000

Hi all,

On Mon, 29 Apr 2019 15:24:00 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the driver-core tree got a conflict in:
> 
>   block/blk-sysfs.c
> 
> between commit:
> 
>   4d25339e32a1 ("block: don't show io_timeout if driver has no timeout handler")
> 
> from the block tree and commit:
> 
>   800f5aa1e7e1 ("block: Replace all ktype default_attrs with groups")
> 
> from the driver-core tree.
> 
> I fixed it up (the former stopped using the default_attrs field, so I
> effectively reverted the latter changes to this file) and can carry the
> fix as necessary. This is now fixed as far as linux-next is concerned,
> but any non trivial conflicts should be mentioned to your upstream
> maintainer when your tree is submitted for merging.  You may also want
> to consider cooperating with the maintainer of the conflicting tree to
> minimise any particularly complex conflicts.

This is now a conflict between the block tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell